import {request} from "@/api/request";

interface HourHistorys {
  course: Curriculum
  data: Record<number, HourHistory[]>
  hour: Hour
}

export const courseApi = {
  /** 课时学习记录 */
  hourHistory(courseId: string, hourId: string) {
    return request<HourHistorys>(`/api/v1/course/${courseId}/hour/${hourId}/info`, "GET")
  }
}
