import Taro from "@tarojs/taro";

const KET = 'SELECTDEP'

function set(data: number[]) {
  Taro.setStorageSync(KET, data)
}

function remove() {
  Taro.removeStorageSync(KET)
}

function get(): number[] {
  const deps = Taro.getStorageSync(KET)
  if (deps && deps.length) {
    remove()
    return deps
  }
  return []
}

export default {
  set,
  get,
  remove
}
